.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
.TH TSEQ "1" "January 2012" "dateutils 0.1.8" "User Commands"
.SH NAME
tseq \- manual page for tseq 0.1.8
.SH SYNOPSIS
.B tseq
[\fIOPTION\fR]... \fIFIRST \fR[[\fIINCREMENT\fR] \fILAST\fR]
.SH DESCRIPTION
tseq 0.1.8
.PP
Like seq(1) but for times.
.PP
If INCREMENT is positive consider FIRST to be the older and LAST to be the
younger time, and vice versa for negative INCREMENT.
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date and duration parser
errors.
.TP
\fB\-f\fR, \fB\-\-format\fR=\fISTRING\fR
Output format as passed to dt_strft(), this can
either be a spec string (similar to strftime()'s
FMT) or the name of a time spec.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format as passed to dt_strpt(), can be used
multiple times.
Each TIME will be passed to the input format
parsers in the order they are given, if TIME can
be read successfully with a given input format
that value will be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
enable interpretation of backslash escapes in the
output and input format strings
.TP
\fB\-\-compute\-from\-last\fR
Compute the value of FIRST from LAST using
INCREMENT.
.SH EXAMPLES

  % tseq 10:00:00 12m 11:20:00
  10:00:00
  10:12:00
  10:24:00
  10:36:00
  10:48:00
  11:00:00
  11:12:00


  % tseq --compute-from-last 10:00:00 12m 11:20:00
  10:08:00
  10:20:00
  10:32:00
  10:44:00
  10:56:00
  11:08:00
  11:20:00


  % tseq 11:20:00 -12m 10:00:00
  11:20:00
  11:08:00
  10:56:00
  10:44:00
  10:32:00
  10:20:00
  10:08:00


  % tseq --compute-from-last 11:20:00 -12m 10:00:00
  11:12:00
  11:00:00
  10:48:00
  10:36:00
  10:24:00
  10:12:00
  10:00:00
.SH "FORMAT SPECS"

Format specs in dateutils are similar to posix' strftime().

However, due to a broader range of supported calendars dateutils must
employ different rules.

Date specs:
  %a  The abbreviated weekday name
  %A  The full weekday name
  %b  The abbreviated month name
  %B  The full month name
  %c  The count of the weekday within the month (range 00 to 05)
  %C  The count of the weekday within the year (range 00 to 53)
  %d  The day of the month, 2 digits (range 00 to 31)
  %F  Equivalent to %Y-%m-%d (ymd's canonical format)
  %j  The day of the year, see ISO 8601 ordinal date
  %m  The month in the current calendar (range 00 to 19)
  %Q  The quarter of the year (range Q1 to Q4)
  %q  The number of the quarter (range 01 to 04)
  %w  The weekday as number (range 00 to 06, Sunday being 00)
  %y  The year without a century (range 00 to 99)
  %Y  The year including the century

  %Od The day as roman numerals
  %Om The month as roman numerals
  %Oy The two digit year as roman numerals
  %OY The year including the century as roman numerals

  %dth  The day of the month as an ordinal number, 1st, 2nd, 3rd, etc.
  %mth  The month of the year as an ordinal number, 1st, 2nd, 3rd, etc.

  %db The business day of the month (since last month's ultimo)
  %dB Number of business days until this month's ultimo

Time specs:
  %H  The hour of the day using a 24h clock, 2 digits (range 00 to 23)
  %I  The hour of the day using a 12h clock, 2 digits (range 01 to 12)
  %M  The minute (range 00 to 59)
  %N  The nanoseconds (range 000000000 to 999999999)
  %p  The string AM or PM, noon is PM and midnight is AM.
  %P  Like %p but in lowercase
  %S  The second (range 00 to 60, 60 is for leap seconds)
  %T  Equivalent to %H:%M:%S

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character

Modifiers:
  %O  Modifier to turn decimal numbers into Roman numerals
  th  Suffix.  Read and print ordinal numbers
  b   Treat date as business date
.SH BUGS
  Report them to: https://github.com/hroptatyr/dateutils/issues
.SH AUTHOR
  Written by Sebastian Freundt <freundt@fresse.org>
.SH "SEE ALSO"
The full documentation for
.B tseq
is maintained as a Texinfo manual.  If the
.B info
and
.B tseq
programs are properly installed at your site, the command
.IP
.B info (dateutils)tseq
.PP
should give you access to the complete manual.
